/******************************************************************************
*******************************************************************************
**
**  Copyright (C) Sistina Software, Inc.  1997-2003  All rights reserved.
**  Copyright (C) 2004 Red Hat, Inc.  All rights reserved.
**
**  This copyrighted material is made available to anyone wishing to use,
**  modify, copy, or redistribute it subject to the terms and conditions
**  of the GNU General Public License v.2.
**
*******************************************************************************
******************************************************************************/

#ifndef __GFSCONF_H__
#define __GFSCONF_H__


#include <sys/types.h>
#include <sys/stat.h>
#include <stdio.h>
#include <stdlib.h>
#include <stddef.h>
#include <unistd.h>
#include <fcntl.h>
#include <string.h>
#include <errno.h>
#include <ctype.h>


struct gfs_config
{
    int             gfsparam_count;
    cidev_entry_t   *gfsparam;
    int             lmparam_count;
    cidev_entry_t   *lmparam;
    int             cmparam_count;
    cidev_entry_t   *cmparam;
    int             stomith_count;
    cidev_entry_t   *stomith;
    int             node_count;
    cidev_entry_t   *node;
    int             other_count;
    cidev_entry_t   *other;
};
typedef struct gfs_config gfs_config_t;



#define die(fmt, args...) \
{ \
    fprintf(stderr, "%s: ", prog_name); \
    fprintf(stderr, fmt, ##args); \
    exit(EXIT_FAILURE); \
}

#endif
