/******************************************************************************
*******************************************************************************
**
**  Copyright (C) Sistina Software, Inc.  1997-2003  All rights reserved.
**  Copyright (C) 2004 Red Hat, Inc.  All rights reserved.
**
**  This copyrighted material is made available to anyone wishing to use,
**  modify, copy, or redistribute it subject to the terms and conditions
**  of the GNU General Public License v.2.
**
*******************************************************************************
******************************************************************************/

#ifndef __UNLINKED_DOT_H__
#define __UNLINKED_DOT_H__

struct gfs_unlinked *gfs_get_ulstruct(struct gfs_sbd *sdp,
				      struct gfs_inum *inum, int create);
void gfs_hold_ulstruct(struct gfs_sbd *sdp, struct gfs_unlinked *ul);
void gfs_put_ulstruct(struct gfs_sbd *sdp, struct gfs_unlinked *ul);

struct gfs_unlinked *gfs_find_ulstruct(struct gfs_sbd *sdp);
void gfs_unlock_ulstruct(struct gfs_sbd *sdp, struct gfs_unlinked *ul);

void gfs_unlinked_merge(struct gfs_sbd *sdp, unsigned int type,
			struct gfs_inum *inum);
void gfs_unlinked_cleanup(struct gfs_sbd *sdp);

void gfs_unlinked_dealloc(struct gfs_sbd *sdp);

#endif				/*  __UNLINKED_DOT_H__  */
