/******************************************************************************
*******************************************************************************
**
**  Copyright (C) Sistina Software, Inc.  1997-2003  All rights reserved.
**  Copyright (C) 2004 Red Hat, Inc.  All rights reserved.
**  
**  This copyrighted material is made available to anyone wishing to use,
**  modify, copy, or redistribute it subject to the terms and conditions
**  of the GNU General Public License v.2.
**
*******************************************************************************
******************************************************************************/
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>

#include "copyright.cf"
#include "fence_release.cf"
#include "utils.h"
#include "fence_log.h"

int main(int argc, char *argv[]){
  if(argc != 2){
    fprintf(stderr, "%s [-V] <node_name>\n", argv[0]);
    exit(EXIT_FAILURE);
  }

  if(!strcmp("-V", argv[1])){
    printf("%s %s (built %s %s)\n", argv[0], FENCE_RELEASE_NAME,
	   __DATE__, __TIME__);
    printf("%s\n", SISTINA_COPYRIGHT);
    exit(EXIT_SUCCESS);
  }

  openlog("fence_node", LOG_PID, LOG_USER);
  fence_syslog_enable();

  if(process_fence_request(argv[1])){
    log_err("Fence of \"%s\" was unsuccessful.\n", argv[1]);
    exit(EXIT_FAILURE);
  } else {
    log_msg("Fence of \"%s\" was successful.\n", argv[1]);
  }
  exit(EXIT_SUCCESS);
}
