/******************************************************************************
*******************************************************************************
**
**  Copyright (C) Sistina Software, Inc.  2003  All rights reserved.
**  Copyright (C) 2004 Red Hat, Inc.  All rights reserved.
**
**  This copyrighted material is made available to anyone wishing to use,
**  modify, copy, or redistribute it subject to the terms and conditions
**  of the GNU General Public License v.2.
**
*******************************************************************************
******************************************************************************/

#ifndef __fence_h__
#define __fence_h__

typedef struct timestamp_s {
	u64 timestamp;
	u32 ip;
	list_t list;
} timestamp_t;

typedef struct banned_s {
	u32 ip;			/* stored in network byte order */
	list_t list;
} banned_t;

extern struct semaphore banned_list_lk;

void init_fence(void);
int update_timestamp_list(uint32_t ip, uint64_t timestamp);
int new_timestamp(uint32_t ip, uint64_t timestamp);
void clear_timestamp_list(void);
int __check_banned_list(u32 ip);

static __inline__ int
check_banned_list(u32 ip)
{
	int err;

	down(&banned_list_lk);
	err = __check_banned_list(ip);
	up(&banned_list_lk);

	return err;
}

int add_to_banned_list(u32 ip);
int remove_from_banned_list(u32 ip, u64 timestamp);
void clear_banned_list(void);
int list_banned(char **buffer, u32 * list_size);

#endif				/* __fence_h__ */
