/******************************************************************************
*******************************************************************************
**
**  Copyright (C) Sistina Software, Inc.  2003  All rights reserved.
**  Copyright (C) 2004 Red Hat, Inc.  All rights reserved.
**
**  This copyrighted material is made available to anyone wishing to use,
**  modify, copy, or redistribute it subject to the terms and conditions
**  of the GNU General Public License v.2.
**
*******************************************************************************
******************************************************************************/

#ifndef __gserv_h__
#define __gserv_h__

struct gserv_info_s {
	u32 client_ip;
	dev_info_t *dev;
	struct socket *sock;
	struct semaphore sender_lk;
	struct task_struct *task;
	long pid;
	list_t list;
};
typedef struct gserv_info_s gserv_info_t;

int gserv(void *args);
void init_gserv(void);
int kill_gserv(u32 client_ip, dev_info_t * dev);
void validate_gserv(void);
int find_gserv_info(u32 client_ip, dev_info_t * dev);
void kill_bad_gserv(u32 client_ip, char *name);

extern atomic_t gserv_count;

#define INC_GSERV_COUNT atomic_inc(&gserv_count)
#define DEC_GSERV_COUNT atomic_dec(&gserv_count)
#define GSERV_PROCESSES_LEFT (atomic_read(&gserv_count))

#endif				/* __gserv_h__ */
