/******************************************************************************
*******************************************************************************
**
**  Copyright (C) Sistina Software, Inc.  1997-2003  All rights reserved.
**  Copyright (C) 2004 Red Hat, Inc.  All rights reserved.
**
**  This copyrighted material is made available to anyone wishing to use,
**  modify, copy, or redistribute it subject to the terms and conditions
**  of the GNU General Public License v.2.
**
*******************************************************************************
******************************************************************************/

#include <linux/gnbd_request.h>
#include <linux/gnbd_ioctl.h>
extern int message_flag;

#define printe(fmt, args...) fprintf(stderr, "gnbd_import error: " fmt, ##args)
#define print(fmt, args...) printf("gnbd_import: " fmt, ##args)
#define printm(fmt, args...)\
{\
  if(message_flag != 0) \
    printf("gnbd_import: " fmt, ##args); \
}
#define printv(fmt, args...) \
{\
  if (message_flag == 2) \
    printf("gnbd_import: " fmt, ##args); \
}
#define printerr(str) perror("gnbd_import error: " str)

typedef struct devlist_s{
  char name[256];
  int minor_nr;
  u32 ip;
  u16 port;
  int opened;
  int connected;
  int pending;
  int readonly;
  int connect_failed;
  struct devlist_s *next;
} devlist_t;

typedef struct servlist_s{
  u32 ip;
  struct servlist_s *next;
} servlist_t;

int list_match(char *name, devlist_t *ptr);
devlist_t *list_add(devlist_t *elem, devlist_t *head);
devlist_t *clear_list(devlist_t *ptr);
void clear_servlist(servlist_t *ptr);

























